<?php

namespace App\Validations;

class LojaProdutoValidation {

	public static function addProduto(array $dados): array {

		$result = [ ];

		if (count( $dados ) != 3) {
			$result ['campos'] = "Quantidade de campos incompatível";
		}

		if (!isset( $dados ['id_produto'] )) {
			$result ['id_produto'] = "Campo obrigatório";
		} else {
			if (!intval( $dados ['id_produto'] )) {
				$result ['id_produto'] = "Valor deve ser inteiro";
			}
		}

		if (!isset( $dados ['id_loja'] )) {
			$result ['id_loja'] = "Campo obrigatório";
		} else {
			if (!intval( $dados ['id_loja'] )) {
				$result ['id_loja'] = "Valor deve ser inteiro";
			}
		}
		if (!isset( $dados ['id_status'] )) {
			$result ['id_status'] = "Campo obrigatório";
		} else {
			if (!intval( $dados ['id_status'] )) {
				$result ['id_status'] = "Valor deve ser inteiro";
			}
		}

		return $result;

	}

	public static function changestatus(array $dados): array {

		$result = [ ];

		if (count( $dados ) != 2) {
			$result ['campos'] = "Quantidade de campos incompatível";
		}

		if (!isset( $dados ['id'] )) {
			$result ['id'] = "Campo obrigatório";
		} else {
			if (!intval( $dados ['id'] )) {
				$result ['id'] = "Valor deve ser inteiro";
			}
		}

		if (!isset( $dados ['id_status'] )) {
			$result ['id_status'] = "Campo obrigatório";
		} else {
			if (!intval( $dados ['id_status'] )) {
				$result ['id_status'] = "Valor deve ser inteiro";
			}
		}

		return $result;

	}

}

